man(8)

NAME
malcontent-webd — Parental Controls Web Filtering Daemon

SYNOPSIS
malcontent-webd [-a bus-address]

DESCRIPTION
malcontent-webd is a coordination process for controlling web filtering blocklists and allowlists. Child accounts which are under parental control on the computer receive blocklists from malcontent-webd and use these to determine which websites to allow or block when browsing the internet.

malcontent-webd is designed to be run by systemd(1), being D-Bus activated (to update the filter list for a specific user) or activated on a systemd timer (to update the filter lists for all users). There should be no need to run malcontent-webd manually. Use malcontent-client(8) to edit web filtering blocklists.

The actual filtering of web traffic in child sessions is done by an NSS module, nss-malcontent(8).

If an error occurs while updating the filter lists for all users, on a systemd timer, error information will be written to /var/lib/malcontent-webd/update-error. On a successful update this file will be deleted.

The error file is a key file, for example:

    [Web Filter Update Error]
    ErrorCode=org.freedesktop.MalcontentWeb1.Filtering.Error.Downloading # this field is optional
    ErrorMessage[en_GB]=There was an error downloading foo from blah. # this field is mandatory

OPTIONS

-a, --bus-address=
    Address of a D-Bus message bus to connect to. This is intended for debugging use only. (Default: The system bus.)

-t, --inactivity-timeout=
    Inactivity timeout (in milliseconds) to wait before exiting the service if no requests have been made during that period. If set to 0, the timeout is disabled and the service will run indefinitely. (Default: 30 seconds.)

ENVIRONMENT
malcontent-webd supports the standard GLib environment variables for debugging. These variables are not intended to be used in production:

$G_MESSAGES_DEBUG
    This variable can contain one or more debug domain names to display debug output for. The value all will enable all debug output. The default is for no debug output to be enabled.

EXIT STATUS
malcontent-webd may return one of several error codes if it encounters problems.

0   No problems occurred. The web filtering daemon ran, responded to zero or more requests, and then exited due to being explicitly closed, or timing out due to finishing all requests.

1   An invalid option was passed to malcontent-webd on startup.

2   The D-Bus name for malcontent-webd was not available.

3   malcontent-webd was run in an inappropriate environment, for example as the root user.

FILES

/lib/systemd/system/malcontent-webd.service
    systemd(1) service file which specifies the runtime environment for malcontent-webd. See systemd.service(5).

SEE ALSO
malcontent-client(8)

BUGS
Any bugs which are found should be reported on the project website:
https://gitlab.freedesktop.org/pwithnall/malcontent/-/issues

AUTHOR
GNOME Foundation, Inc. Philip Withnall

COPYRIGHT
Copyright © 2025 GNOME Foundation, Inc.